<?
if (isset($_GET['room'])) { 

	$ID = (int) $_GET['room'];
	$room = mysql_fetch_assoc(mysql_query("SELECT * FROM `chat_rooms` WHERE `id` = '" . $ID . "' LIMIT 1"));	
	
	if (user_access('chat_room') && isset($_GET['sid']) && isset($room['id']) && $_SESSION['sid'] == $_GET['sid'])
	{
		mysql_query("DELETE FROM `chat_rooms` WHERE `id` = '$room[id]' LIMIT 1");
		mysql_query("DELETE FROM `chat_post` WHERE `room` = '$room[id]'");
		admin_log('Чат', 'Параметры комнат', "Удалена комната '$room[name]'");
		
		$_SESSION['message'] = __('Комната успешно удалена');	
		header('Location: ?func=index');
		exit;		
	}
} elseif (isset($_GET['truncate'])) { 

	if (user_access('chat_clear') && isset($_GET['sid']) && $_SESSION['sid'] == $_GET['sid'])
	{
		admin_log('Чат', 'Очистка', "Очистка комнат от сообщений");
		mysql_query("TRUNCATE `chat_post`");
		
		$_SESSION['message'] = __('Комнаты очищены от сообщений');	
		header('Location: ?func=index');
		exit;		
	}
}

$_SESSION['sid'] = mt_rand(000, 999);
$set['title'] = __('Чат - Управление');
include_once H.'sys/inc/thead.php';
title();
aut(); 
err();

?>
<div class="foot">
 <img src="/style/icons/str2.gif" alt="*" /> <a href="?"><?= __('Чат')?></a> | <b><?= __('Управление')?></b><br />
</div>
<?

if (user_access('chat_clear') && isset($_GET['truncate'])) {
?>
	<div class="mess" style="text-align: center;">
	<?= __('Вы уверены что хотите очистить чат от сообщений?')?><br />
	<a href="?func=delete&amp;truncate&amp;sid=<?= $_SESSION['sid']?>"><img src="/style/icons/ok.gif" /> <?= __('Да')?></a> <a href="?"><img src="/style/icons/delete.gif" /> <?= __('Нет')?></a><br />
	</div>	
<?
} elseif (user_access('chat_room') && isset($room['id'])) {
?>
	<div class="mess" style="text-align: center;">
	<?= __('Вы уверены что хотите удалить комнату')?> <b><?= text($room['name'])?></b>?<br />
	<a href="?func=delete&amp;room=<?= $room['id']?>&amp;sid=<?= $_SESSION['sid']?>"><img src="/style/icons/ok.gif" /> <?= __('Да')?></a> <a href="?"><img src="/style/icons/delete.gif" /> <?= __('Нет')?></a><br />
	</div>	
<?
} else {
?>
	<div class="mess">
	<?= __('К сожалению, система не дала разрешения на выполнение этой операции! Возможно у вас нет прав доступа, либо вы ошиблись ссылкой.<br />Вернитесь на <a href="/chat/">главную страницу чата</a>, и попробуйте повторить желаемое действие.')?>
	</div>
<?
}
?>
<div class="foot">
 <img src="/style/icons/str2.gif" alt="*" /> <a href="?"><?= __('Чат')?></a> | <b><?= __('Управление')?></b><br />
</div>